Skip to main content
PATCH
/
api
/
v2
/
projects
/
{projectKey}
/
ai-tools
/
{toolKey}
Update AI tool
curl --request PATCH \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/ai-tools/{toolKey} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "schema": "{}",
  "maintainerId": "507f1f77bcf86cd799439011",
  "maintainerTeamKey": "example-team-key",
  "description": "description",
  "customParameters": "{}"
}
'
{
  "schema": "{}",
  "createdAt": 6,
  "_maintainer": {
    "kind": "kind"
  },
  "_access": {
    "allowed": [
      {
        "reason": {
          "role_name": "role_name",
          "notActions": [
            null,
            null
          ],
          "notResources": [
            "notResources",
            "notResources"
          ],
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "actions": [
            "*"
          ]
        },
        "action": "action"
      },
      {
        "reason": {
          "role_name": "role_name",
          "notActions": [
            null,
            null
          ],
          "notResources": [
            "notResources",
            "notResources"
          ],
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "actions": [
            "*"
          ]
        },
        "action": "action"
      }
    ],
    "denied": [
      {
        "reason": {
          "role_name": "role_name",
          "notActions": [
            null,
            null
          ],
          "notResources": [
            "notResources",
            "notResources"
          ],
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "actions": [
            "*"
          ]
        },
        "action": "action"
      },
      {
        "reason": {
          "role_name": "role_name",
          "notActions": [
            null,
            null
          ],
          "notResources": [
            "notResources",
            "notResources"
          ],
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "actions": [
            "*"
          ]
        },
        "action": "action"
      }
    ]
  },
  "_links": {
    "parent": {
      "href": "href",
      "type": "type"
    },
    "self": {
      "href": "href",
      "type": "type"
    }
  },
  "description": "description",
  "customParameters": "{}",
  "version": 0,
  "key": "key"
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required
toolKey
string
required

Body

application/json

AI tool object to update

maintainerId
string
Example:

"507f1f77bcf86cd799439011"

maintainerTeamKey
string
Example:

"example-team-key"

description
string
schema
object

JSON Schema defining the tool's parameters for LLM consumption

customParameters
object

Custom metadata and configuration for application-level use (not sent to LLM)

Response

AI tool updated

key
string
required
schema
object
required

JSON Schema defining the tool's parameters for LLM consumption

version
integer
required
createdAt
integer<int64>
required
_access
object
Example:
{
"allowed": [
{
"reason": {
"role_name": "role_name",
"notActions": [null, null],
"notResources": ["notResources", "notResources"],
"effect": "allow",
"resources": ["proj/*:env/*;qa_*:/flag/*"],
"actions": ["*"]
},
"action": "action"
},
{
"reason": {
"role_name": "role_name",
"notActions": [null, null],
"notResources": ["notResources", "notResources"],
"effect": "allow",
"resources": ["proj/*:env/*;qa_*:/flag/*"],
"actions": ["*"]
},
"action": "action"
}
],
"denied": [
{
"reason": {
"role_name": "role_name",
"notActions": [null, null],
"notResources": ["notResources", "notResources"],
"effect": "allow",
"resources": ["proj/*:env/*;qa_*:/flag/*"],
"actions": ["*"]
},
"action": "action"
},
{
"reason": {
"role_name": "role_name",
"notActions": [null, null],
"notResources": ["notResources", "notResources"],
"effect": "allow",
"resources": ["proj/*:env/*;qa_*:/flag/*"],
"actions": ["*"]
},
"action": "action"
}
]
}

The location and content type of related resources

Example:
{
"parent": { "href": "href", "type": "type" },
"self": { "href": "href", "type": "type" }
}
_maintainer
object
Example:
{ "kind": "kind" }
description
string
customParameters
object

Custom metadata and configuration for application-level use (not sent to LLM)